#include <iostream>

using namespace std;
const int m =  200000;
bool ne_odg[m];
int main()
{
    cin.tie(0);
    int n;
    cin>>n;
    int niz[n];
    int odgovor[n];
    for(int i=0; i<n; i++){
        cin>>niz[i];
    }
    for(int i=0; i<n-1; i++){
        if(niz[i]>niz[i+1]){
            ne_odg[i] = true;
        }
    }
    int q;
    cin>>q;
    int a;
    int b;
    for(int i=0; i<q; i++){
        cin>>a;
        cin>>b;
        int brojac = 0;
        bool kraj = false;
        for(int j= a-1; j<b; j++){
            if(ne_odg[j]==true && j!=b-1){
                brojac++;}
            if(brojac == 2){
                kraj = true;
                break;
            }
        }
        if(kraj == true){
            odgovor[i] = 0;
        }
        else{
            odgovor[i] = 1;
        }

    }

    for(int i=0; i<q; i++){
        if(odgovor[i]==0){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }

    return 0;
}